Skip to content

Configuration

All operations require authentication.

13 operationsv2/publicCloud/project
Agent setup

List maintenancesBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/maintenance

Returns the maintenances of the service, with their schedule and status.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200MaintenanceWindow[]successful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/maintenance \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED" }]

Get a maintenanceBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/maintenance/{maintenanceId}

Returns the operations planned by a maintenance, its schedule and its status.

Path parameters

maintenanceId
required
stringuuid

Maintenance ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200MaintenanceWindowsuccessful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses maintenanceId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/maintenance/{maintenanceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED"}

Apply a maintenanceBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/maintenance

Applies a scheduled maintenance immediately, instead of waiting for its scheduled time.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200MaintenanceWindowsuccessful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/maintenance \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED"}

List Schema Registry ACLsBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/schemaRegistryAcl

Returns the Schema Registry ACL entries of the service, each granting a user a permission on a resource pattern.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200SchemaRegistryAcl[]successful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
stringuuid

Unique identifier of the Schema Registry ACL entry

permission
read-only
SchemaRegistryAclPermissionEnum

Permission level granted by this ACL entry

ValuesREADREAD_WRITEWRITE
resource
read-only
string

Schema Registry resource pattern this ACL entry applies to. Supports wildcards (*).

updatedAt
read-only
stringdate-time

Date of the last update to the resource

username
read-only
string

Username this ACL entry applies to

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/schemaRegistryAcl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "permission": "READ", "resource": "string", "updatedAt": "2024-01-01T12:00:00Z", "username": "string" }]

Get a Schema Registry ACLBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/schemaRegistryAcl/{schemaRegistryAclId}

Returns the user, the resource pattern and the permission of the ACL entry.

Path parameters

projectId
required
string

Project ID

schemaRegistryAclId
required
stringuuid

Schema registry acl ID

serviceId
required
stringuuid

Service ID

Response

200SchemaRegistryAclsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
stringuuid

Unique identifier of the Schema Registry ACL entry

permission
read-only
SchemaRegistryAclPermissionEnum

Permission level granted by this ACL entry

ValuesREADREAD_WRITEWRITE
resource
read-only
string

Schema Registry resource pattern this ACL entry applies to. Supports wildcards (*).

updatedAt
read-only
stringdate-time

Date of the last update to the resource

username
read-only
string

Username this ACL entry applies to

Example uses projectId = string, schemaRegistryAclId = 00000000-0000-0000-0000-000000000000, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/schemaRegistryAcl/{schemaRegistryAclId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "permission": "READ", "resource": "string", "updatedAt": "2024-01-01T12:00:00Z", "username": "string"}

Create a Schema Registry ACLBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/schemaRegistryAcl

Grants a user a permission on the Schema Registry resources matching a pattern. Use * to match all subjects.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

permission
required
SchemaRegistryAclPermissionEnum

Permission level to grant on the Schema Registry resource

ValuesREADREAD_WRITEWRITE
resource
required
string

Schema Registry resource pattern this ACL applies to. Use * to match all subjects.

username
required
string

Username to grant access to

Response

200SchemaRegistryAclsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
stringuuid

Unique identifier of the Schema Registry ACL entry

permission
read-only
SchemaRegistryAclPermissionEnum

Permission level granted by this ACL entry

ValuesREADREAD_WRITEWRITE
resource
read-only
string

Schema Registry resource pattern this ACL entry applies to. Supports wildcards (*).

updatedAt
read-only
stringdate-time

Date of the last update to the resource

username
read-only
string

Username this ACL entry applies to

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/schemaRegistryAcl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "permission": "READ", "resource": "string", "updatedAt": "2024-01-01T12:00:00Z", "username": "string"}

Delete a Schema Registry ACLBeta

DELETE
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/schemaRegistryAcl/{schemaRegistryAclId}

Deletes the ACL entry and revokes the permission it granted.

Path parameters

projectId
required
string

Project ID

schemaRegistryAclId
required
stringuuid

Schema registry acl ID

serviceId
required
stringuuid

Service ID

Response

200SchemaRegistryAclsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
stringuuid

Unique identifier of the Schema Registry ACL entry

permission
read-only
SchemaRegistryAclPermissionEnum

Permission level granted by this ACL entry

ValuesREADREAD_WRITEWRITE
resource
read-only
string

Schema Registry resource pattern this ACL entry applies to. Supports wildcards (*).

updatedAt
read-only
stringdate-time

Date of the last update to the resource

username
read-only
string

Username this ACL entry applies to

Example uses projectId = string, schemaRegistryAclId = 00000000-0000-0000-0000-000000000000, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/schemaRegistryAcl/{schemaRegistryAclId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "permission": "READ", "resource": "string", "updatedAt": "2024-01-01T12:00:00Z", "username": "string"}

List maintenancesBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/maintenance

Returns the maintenances of the service, with their schedule and status.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200MaintenanceWindow[]successful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/maintenance \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED" }]

Get a maintenanceBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/maintenance/{maintenanceId}

Returns the operations planned by a maintenance, its schedule and its status.

Path parameters

maintenanceId
required
stringuuid

Maintenance ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200MaintenanceWindowsuccessful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses maintenanceId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/maintenance/{maintenanceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED"}

Apply a maintenanceBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/maintenance

Applies a scheduled maintenance immediately, instead of waiting for its scheduled time.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200MaintenanceWindowsuccessful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/maintenance \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED"}

List maintenancesBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/maintenance

Returns the maintenances of the service, with their schedule and status.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200MaintenanceWindow[]successful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/maintenance \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED" }]

Get a maintenanceBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/maintenance/{maintenanceId}

Returns the operations planned by a maintenance, its schedule and its status.

Path parameters

maintenanceId
required
stringuuid

Maintenance ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200MaintenanceWindowsuccessful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses maintenanceId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/maintenance/{maintenanceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED"}

Apply a maintenanceBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/maintenance

Applies a scheduled maintenance immediately, instead of waiting for its scheduled time.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200MaintenanceWindowsuccessful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaMirrorMaker/{serviceId}/maintenance \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED"}